if (typeof mxG.prototype.createKids=='undefined'){

mxG.prototype.initKids=function()
{
	this.doToday();
}

mxG.prototype.createKids=function()
{

	// no pass button since the user can play everywhere in the goban if a pass is found in the sgf
	if (this.canRetry||this.canUndo)
	{
		this.write("<div class=\"mxKidsDiv\" id=\""+this.n+"KidsDiv\">");
		this.addBtn({n:"Today",v:this.local("今日の問題")});
		this.addBtn({n:"Random",v:this.local("ランダム")});
		this.write("</div>");
	}
};

mxG.prototype.doToday=function()
{
	var date = new Date();

	this.getKidsProblem(this.getStrDate(date));
};

mxG.prototype.doRandom=function()
{
	var start = new Date(2002, 6 - 1, 1); // 2002年6月1日
	var end = new Date();
	
	var date = new Date();
	date.setTime(Math.round(Math.random() * (end.getTime() - start.getTime())) + start.getTime());

	this.getKidsProblem(this.getStrDate(date));
}

mxG.prototype.getKidsProblem=function(date)
{
	var xhr=new XMLHttpRequest();

	xhr.open("GET",this.path+"_mgos/_php/connect.php" + "?" + "url=http://igo-kids.ddo.jp/sgf4/" + date + ".sgf",true);

	xhr.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	xhr.send(null);

	var _this = this;

	xhr.onreadystatechange=function()
	{
		if (xhr.readyState==4)
		{
			var text = xhr.responseText;
			_this.loadSgf(text);
		}
	};
};

// Sgfを碁盤にロード
mxG.prototype.loadSgf=function(s)
{
this.gos=this;
new mxP(this.gos,s);
this.gos.backNode(this.gos.rN.KidOnFocus());
if (this.gos.hasC("Tree")) this.gos.initTree();
this.gos.setGBox("Goban");
};


// Dateから8桁文字列へ変換
mxG.prototype.getStrDate=function(date)
{
	var year = date.getFullYear();
	var month = date.getMonth() + 1;
	var date = date.getDate();
	if (month < 10) {
		month = "0" + month;
	}
	if (date < 10) {
		date = "0" + date;
	}
	var strDate = String(year) + String(month) + String(date);
	return strDate;
};
}